# Copyright (C) 2023 Intel Corporation
# SPDX-License-Identifier: MIT
#
# This package is downstreamed from Intel GPU RHEL9.2 Package repository:
# https://dgpu-docs.intel.com/driver/installation.html#rhel-install-steps

%global pkg_name intel-gmmlib
%global lib_ver 22.3.10
%global anolis_release 2

Name:		%{pkg_name}
Version:	%{lib_ver}
Release:	%{anolis_release}%{?dist}
Summary:	Intel Graphics Memory Management Library
License:	MIT
URL:		https://github.com/intel/gmmlib
Source0:	%{url}/archive/%{name}-%{version}/%{name}-%{version}.tar.gz
 
# This package relies on intel asm
ExclusiveArch:	x86_64
 
BuildRequires:	cmake
BuildRequires:	make
BuildRequires:	gcc
BuildRequires:	gcc-c++
 
%description
The Intel Graphics Memory Management Library provides device specific
and buffer management for the Intel Graphics Compute Runtime for OpenCL
and the Intel Media Driver for VAAPI.
 
%package	devel
Summary:	Development files for %{name}
Requires:	%{name}%{?_isa} = %{version}-%{release}
 
%description	devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.
 
%prep
%autosetup -n gmmlib-%{name}-%{version}
 
%build
mkdir build
pushd build
%cmake .. \
	-DRUN_TEST_SUITE:BOOL=False \
	-DCMAKE_BUILD_TYPE=Release
%cmake_build
popd
 
%install
pushd build
%cmake_install
popd

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%license LICENSE.md
%doc README.rst Security.md
%{_libdir}/libigdgmm.so.*
 
%files devel
%{_includedir}/igdgmm
%{_libdir}/libigdgmm.so
%{_libdir}/pkgconfig/igdgmm.pc
 
%changelog
* Tue Mar 11 2025 happy_orange <songnannan@linux.alibaba.com> - 22.3.10-2
- sync from an23

* Fri Nov 17 2023 Aubrey Li <aubrey.li@linux.intel.com> - 22.3.10-1
- Initial spec file
